### Constructor

# ICalGLib Time new_current_with_zone

since: 1.0

#### Declaration [src]

    ICalTime*
    i_cal_time_new_current_with_zone (
      ICalTimezone* zone
    )

#### Description [src]

Creates a `ICalTime` according to the timezone and current time.

Available since: 1.0

#### Parameters

`zone`

  Type: `ICalTimezone`

  The timezone used to create a `ICalTime` according to the current time.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ICalTime`

The newly created `ICalTime`.

The caller of the function takes ownership of the data, and is responsible for freeing it.